> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> Retrieve a paginated list of all customers linked to a store identified by `x-store-id`. Allows filtering by `email` and `status` with pagination capabilities such as `limit`, `page`, and `offset`. Returns a list of customer details, including their name, email, and status.



## OpenAPI

````yaml /api-reference/blink-api.json get /v1/customers
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /v1/customers:
    get:
      tags:
        - Customers
      summary: List Customers
      description: >-
        Retrieve a paginated list of all customers linked to a store identified
        by `x-store-id`. Allows filtering by `email` and `status` with
        pagination capabilities such as `limit`, `page`, and `offset`. Returns a
        list of customer details, including their name, email, and status.
      parameters:
        - name: status
          in: query
          description: Filter customers by status.
          schema:
            type: string
        - name: email
          in: query
          description: Filter customers by email address.
          schema:
            type: string
      responses:
        '200':
          description: List of customers with pagination.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomersListResponse'
      security:
        - storeIdHeader: []
components:
  schemas:
    CustomersListResponse:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
            page:
              type: integer
            limit:
              type: integer
            has_more:
              type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomerDetails'
    CustomerDetails:
      type: object
      properties:
        id:
          type: string
        store_id:
          type: string
        name:
          type: string
        email:
          type: string
        status:
          type: string
        total_orders:
          type: integer
        lifetime_revenue:
          type: number
        metadata:
          type: object
        created_at:
          type: string
          format: date-time
        orders:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              status:
                type: string
              amount:
                type: number
              created_at:
                type: string
                format: date-time
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````